/**
 * AllSquares
 * rewritten to C by Marian Varga 16-Oct-2000
 */

#include <stdio.h>

int      maxk = 512;
int      xc = 1024;
int      yc = 1024;

int    xp, yp, k;


int read_data(void)
{
  scanf("%d%d%d", &k, &xp, &yp);
  return xp || yp || k;
}

void solve(void)
{
  int xlo, xhi, ylo, yhi, count;

  xlo = xc - k; xhi = xc + k;
  ylo = yc - k; yhi = yc + k;
  count = 0;
  do {
    if (xp >= xlo && xp <= xhi && yp >= ylo && yp <= yhi)
      count++;
    k/=2;
    if (xp < (xlo + xhi)/2) {
      xhi = xlo + k; xlo = xlo - k;
    }
    else {
      xlo = xhi - k; xhi = xhi + k;
    }
    if (yp < (ylo + yhi)/2) {
      yhi = ylo + k; ylo = ylo - k;
    }
    else {
      ylo = yhi - k; yhi = yhi + k;
    }
  } while (k);
  printf("%3d\n", count);
}

int main(void)
{
  while (read_data())
    solve();
  return 0;
}

